<?php

class VerticalTab extends CompositeField
{
	public $label;
	private $open = false;
	
	private static $instance_count = 0;
	
	public function __construct($label, $children = null)
	{
		$this->setLabel($label);
		parent::__construct($children);
	}
	
	public function FieldHolder()
	{
		self::$instance_count++;
		$style = $this->open ? "none" : "block";
		$ret = "<h3 class='toggle' id='tab".self::$instance_count."_button'><a href='javascript:void(0)'>{$this->getLabel()}</a></h3>";
		$ret .= "<div id='tab".self::$instance_count."_content' class='ContentOpen' style='display:$style'>"; /* added class='ContentOpen' */
		foreach($this->children as $field) {
			$ret .= $field->FieldHolder();
		}
		$ret .= "</div>";

		return $ret;
	}
	
	
	public function getLabel()
	{
		return $this->label;
	}
	
	private function setLabel($label)
	{
		$this->label = $label;
	}
	
	public function setOpen($bool)
	{
		$this->open = $bool;
	}
}


?>